## org.exist.util.hashtable
Class Object2ObjectHashMap

    java.lang.Object
      org.exist.util.hashtable.AbstractHashtable
          org.exist.util.hashtable.Object2ObjectHashMap

Direct Known Subclasses:
  XQueryPool

public class Object2ObjectHashMap
extends AbstractHashtable

Author:
  wolf

Constructor Summary
`Object2ObjectHashMap()`
`Object2ObjectHashMap(int iSize)`

Method Summary
`java.lang.Object` `get(java.lang.Object key)`
`int` `getIndex(java.lang.Object key)`
`java.util.Iterator` `iterator()`
`void` `put(java.lang.Object key, java.lang.Object value)` Puts a new key/value pair into the hashtable.
`java.lang.Object` `remove(java.lang.Object key)`
`java.util.Iterator` `valueIterator()`

Methods inherited from class org.exist.util.hashtable.AbstractHashtable
`getMaxRehash, isPrime, nextPrime, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Object2ObjectHashMap

    public Object2ObjectHashMap()

### Object2ObjectHashMap

    public Object2ObjectHashMap(int iSize)

Parameters:
  `iSize` -

Method Detail

### put

    public void put(java.lang.Object key,
                    java.lang.Object value)

  Puts a new key/value pair into the hashtable. If the key does already exist, just the value is updated.

  Parameters:
    `key` -
    `value` -

### get

    public java.lang.Object get(java.lang.Object key)

### getIndex

    public int getIndex(java.lang.Object key)

### remove

    public java.lang.Object remove(java.lang.Object key)

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in class `AbstractHashtable`

### valueIterator

    public java.util.Iterator valueIterator()

  Specified by:
    `valueIterator` in class `AbstractHashtable`

Copyright (C) Wolfgang Meier. All rights reserved.